[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonDefs.FindDaemonDef

Find and return instance of daemon definition with given name.

## Declaration

Source position: daemonapp.pp line 287

`public function TDaemonDefs.FindDaemonDef(`
`const DaemonName: string`
`):TDaemonDef;`

## Arguments

`DaemonName` |  | Daemon name to search for.

## Function result

Matching TDaemonDef instance or Nil if none was found.

## Description

FindDaemonDef searches the list of daemon definitions and returns the TDaemonDef instance whose name matches DaemonName. If no definition is found, Nil is returned.

## See also

TDaemonDefs.IndexOfDaemonDef |  | Return index of daemon definition
TDaemonDefs.DaemonDefByName |  | Find and return instance of daemon definition with given name.